#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.
import os


def get_prometheus_info():
    if os.environ.get("PROMETHEUS_HOSTNAME", False):
        prometheus_host = os.environ.get("PROMETHEUS_HOSTNAME")
        prometheus_port = os.environ.get("PROMETHEUS_PORT", 9090)
    else:
        prometheus_host = os.environ.get("OSM_HOSTNAME")
        prometheus_port = os.environ.get("PROMETHEUS_PORT", 9091)
    prometheus_user = os.environ.get("PROMETHEUS_USER", "")
    prometheus_password = os.environ.get("PROMETHEUS_PASSWORD", "")
    return prometheus_host, prometheus_port, prometheus_user, prometheus_password


def get_osm_info():
    osm_user = os.environ.get("OSM_USER", "admin")
    osm_password = os.environ.get("OSM_PASSWORD", "admin")
    osm_project = os.environ.get("OSM_PROJECT", "admin")
    return osm_user, osm_password, osm_project
